let PrinterGanadores = function () {
    "use strict";

    let print = function (fecha_desde) {
        console.log("printer ganadores");
        Printer.reset();
        Printer.fontA();
        Printer.center();

        Printer.line("TICKETS GANADORES");
        Printer.line("Fecha: " + fecha_desde);
        Printer.line("Vendedor: " + Vendedor.getNombre());
        Printer.br(2);

        Printer.left();
        Tickets.getAll().forEach(function (t) {
            if (Co.PRINTER_TYPE_80MM == Empresa.getPrinterTipo()) {
                Printer.write(t.getTicket().padEnd(15));
                Printer.write(t.getPremio().padStart(7));
                Printer.write(t.getFecha().padStart(23));
                Printer.br();
            }
            else {
                Printer.write(t.getTicket().padEnd(12));
                Printer.write(t.getPremio().padStart(10));
                Printer.write(t.getHora().padStart(10));
                Printer.br();
            }
        });

        Printer.br(4);
        Printer.print();
    }

    return {
        print: print
    }
}();